<form class="{{cssClass}} flexcol" autocomplete="off">

    {{!-- Sheet Header --}}
    <header class="sheet-header actor-sheet-top">
        <div class="flex-center">
          <img class="profile-img" src="{{actor.img}}" data-edit="img" title="{{actor.name}}" height="100" width="100"/>
          {{#if (isEnabled "FortuneAvailable")}}
          <div>
          <label class="resource-label">{{localize "CTHACK.Fortune"}} : {{getFortuneValue}}</label>
            {{#if isGm}}
              {{#if (shouldDisplayFortuneUse)}}
              <a class="fortune-use" title="{{localize "CTHACK.FortuneUse"}}"><i class="fa fa-check-circle"></i></a>
              {{/if}}
            {{/if}}
          </div>
          {{/if}}
          {{#if (isEnabled "Adrenaline")}}
          <img class="adrenaline-img" id="adr1" src="icons/commodities/treasure/{{getAdrenalineImage data.attributes.adrenaline1.value}}.webp" >
          <img class="adrenaline-img" id="adr2" src="icons/commodities/treasure/{{getAdrenalineImage data.attributes.adrenaline2.value}}.webp" >
          {{/if}}
        </div>
        <div class="header-fields flex5">
            <h1 class="charname"><input name="name" type="text" value="{{actor.name}}" placeholder="Name"/></h1>  
            <div class="grid grid-2col">     
              <div class="flexrow flex-group-center">
                <label class="resource-label">{{localize "CTHACK.Occupation"}}</label>
                <input name="data.occupation" type="text" value="{{data.occupation}}" placeholder="Occupation"/>
              </div>     
              <div class="flexrow flex-group-center">
                <label class="resource-label">{{localize "CTHACK.Archetype"}}</label>
                <input name="data.archetype" type="text" value="{{data.archetype}}" placeholder='{{localize "CTHACK.Archetype"}}'/>
              </div>                      
            </div>            
            {{!-- The grid classes are defined in scss/global/_grid.scss. To use, use both the "grid" and "grid-Ncol" class where "N" can be any number from 1 to 12 and will create that number of columns.  --}}
              <div class="saves grid grid-3col">
                {{#each data.saves as |save key|}}
                  <div class="save flexrow flex-group-center" data-save="{{key}}">
                    <label for="data.saves.{{key}}.value" class="resource-label save-name rollable" title='{{localize (toDesc key)}}'>{{localize (toAbbr key)}}</label>
                    <input type="text" name="data.saves.{{key}}.value" value="{{save.value}}" data-dtype="Number" class="save-value"/>
                    <input type="checkbox" name="data.saves.{{key}}.advantage" data-dtype="Boolean" {{checked save.advantage}}/>
                  </div>
                {{/each}}
              </div>
            <div class="resources grid grid-4col">
              {{> "systems/cthack/templates/actor/parts/actor-attributes-firstline.hbs"}}
            </div>
            <div class="resources grid grid-4col">
              {{> "systems/cthack/templates/actor/parts/actor-attributes-secondline.hbs"}}
            </div>
        </div>
    </header>

    {{!-- Sheet Tab Navigation --}}
    <nav class="sheet-tabs tabs align-center actor-sheet-middle" data-group="primary">
        <a class="choice" data-tab="description">{{localize "CTHACK.Description"}}</a>
        <a class="choice" data-tab="conditions">{{localize "CTHACK.Conditions"}}</a>
        <a class="choice" data-tab="items">{{localize "CTHACK.Items"}}</a>
        <a class="choice" data-tab="abilities">{{localize "CTHACK.Abilities"}}</a>
    </nav>

    {{!-- Sheet Body --}}
    <section class="sheet-body actor-sheet-bottom">

        {{!-- Biography Tab --}}
        <div class="tab biography" data-group="primary" data-tab="description">
            {{editor content=data.biography target="data.biography" button=true owner=owner editable=editable}}
        </div>

        {{!-- Conditions Tab --}}
        <div class="tab items" data-group="primary" data-tab="conditions">
            <ol class="items-list">
                <li class="item flexrow item-header">
                  <div class="item-name">{{localize "CTHACK.Name"}}</div>
                </li>
                {{#each conditions as |condition id|}}
                  {{> "systems/cthack/templates/actor/parts/actor-condition.hbs" condition}}
                {{/each}}           
            </ol>
        </div>
        
        {{!-- Owned Items Tab --}}
        <div class="tab items" data-group="primary" data-tab="items">
            <ol class="items-list">
                <li class="item flexrow item-header">
                  <div class="item-name">{{localize "CTHACK.Name"}}</div>
                  <div class="align-center">{{localize "CTHACK.ItemDiceName"}}</div>
                  <div class="align-center">{{localize "CTHACK.ItemRangeName"}}</div>
                  <div class="item-controls">
                    <a class="item-control item-create" title="{{localize "CTHACK.Add"}}" data-type="item"><i class="fas fa-plus"></i> {{localize "CTHACK.Add"}}</a>
                  </div>
                </li>
                {{#each weapons as |item id|}}
                  {{> "systems/cthack/templates/actor/parts/actor-item.hbs" item}}
                {{/each}}
                {{#each otheritems as |item id|}}
                  {{> "systems/cthack/templates/actor/parts/actor-item.hbs" item}}
                {{/each}}            
            </ol>
        </div>

        {{!-- Abilities Tab --}}
        <div class="tab abilities" data-group="primary" data-tab="abilities">
            <ol class="items-list">
                <li class="item flexrow item-header">
                  <div class="item-name">{{localize "CTHACK.Name"}}</div>
                  <div class="item-usageType align-center">{{localize "CTHACK.AbilityUsePer"}}</div>
                  <div class="item-usageRemaining align-center">{{localize "CTHACK.AbilityUseValue"}}</div>
                  <div class="item-usageLastTime align-center">{{localize "CTHACK.AbilityUseLast"}}</div>
                  <div class="item-usageMultiple align-center">{{localize "CTHACK.AbilityMultiple"}}</div>
                  <div class="item-controls">
                    <a class="item-control ability-create" title="{{localize "CTHACK.Add"}}" data-type="ability"><i class="fas fa-plus"></i> {{localize "CTHACK.Add"}}</a>
                  </div>
                </li>
                {{#each abilities as |ability id|}}
                    <li class="item flexrow" data-item-id="{{ability._id}}">
                      <div class="item-name flexrow">
                      <div class="item-image"><img src="{{ability.img}}" title="{{ability.name}}" width="24" height="24"/></div>
                      <h4>{{ability.name}}</h4>
                      </div>
                      <div class="align-center">{{abilityPeriodToString ability.data.uses.per}}</div>
                      <div class="align-center">
                      {{#if (gt ability.data.uses.max 0)}}
                      {{ability.data.uses.value}}/{{ability.data.uses.max}}
                      {{/if}}
                      </div>
                      <div class="align-center">{{ability.data.uses.last}}</div>
                      <div class="align-center">{{booleanToString ability.data.multiple}}</div>
                      <div class="item-controls">
                        {{#if (gt ability.data.uses.value 0) }}
                        <a class="item-control ability-use" title="{{localize "CTHACK.Use"}}"><i class="fas fa-check"></i></a>
                        {{else}}
                          {{#if (gt ability.data.uses.max 0)}}
                          <a class="item-control ability-reset" title="{{localize "CTHACK.Reset"}}"><i class="fas fa-times"></i></a>
                          {{/if}}
                        {{/if}}
                        <a class="item-control ability-edit" title="{{localize "CTHACK.Edit"}}"><i class="fas fa-edit"></i></a>
                        <a class="item-control ability-delete" title="{{localize "CTHACK.Delete"}}"><i class="fas fa-trash"></i></a>
                      </div>
                    </li>
                {{/each}}
            </ol>
        </div>

    </section>
</form>

